<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->

  <title>task-manager-server</title>

  <!-- Mobile viewport optimized: j.mp/bplateviewport -->
  <meta name="viewport" content="width=device-width, initial-scale=1.0">

  <!-- Bootstrap core CSS -->
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">

  <!--custom css for these pages-->
  <link rel="stylesheet" href="css/enunciate.css">

  <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
  <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
  <![endif]-->
</head>

<body data-spy="scroll" data-target="#apinav">

  <nav class="navbar navbar-inverse navbar-fixed-top">
    <div class="container-fluid">
      <div class="navbar-header">
        <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar">
          <span class="sr-only">Toggle navigation</span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
        </button>
        <a class="navbar-brand" href="index.html">task-manager-server</a>
      </div>
      <div id="navbar" class="navbar-collapse collapse">
        <ul class="nav navbar-nav navbar-right">
          <li><a href="services.html">Services</a></li>
          <li><a href="data.html">Data Types</a></li>
          <li><a href="downloads.html">Files and Libraries</a></li>
        </ul>
      </div>
    </div>
  </nav>

  <div class="container-fluid">
    <div class="row">
      <div class="col-sm-3 col-md-2 sidebar" id="apinav">
        <ul class="nav nav-sidebar">
          <li><a href="#services"><abbr title="Services" class="side-abbr"><span class="sideoverflow">Services</span></abbr></a></li>
          <li><a href="#syntax_xml"><abbr title="XML" class="side-abbr"><span class="sideoverflow">XML</span></abbr></a></li>
          <li class="divider"></li>
          <li class="text-right"><a href="#top"><small>Back to Top</small></a></li>
        </ul>
      </div>

      <div class="col-sm-9 col-sm-offset-3 col-md-10 col-md-offset-2 main">
        <ol class="breadcrumb" id="top">
          <li class="dropdown"><a href="index.html">Home</a></li>
        </ol>

  <div class="page-header">
    <h1>task-manager-server</h1>
  </div>

  <h1 class="page-header" id="services">Services</h1>

  <table class="table table-hover services">
    <caption>Namespace <code>http://endpoint.tm.amster.ru/</code> (<a href="ns0.wsdl">wsdl</a>)</caption>
    <thead>
    <tr>
      <th align="center">name</th>
      <th align="center">description</th>
    </tr>
    </thead>
    <tbody data-link="row" class="rowlink">
    <tr class="clickable-row" data-href="service_ns0_AdminUserEndpointService.html">
      <td>  <span class="service-name">AdminUserEndpoint</span>
</td>
      <td>  <span class="service-description"></span>
</td>
    </tr>
    <tr class="clickable-row" data-href="service_ns0_ProjectEndpointService.html">
      <td>  <span class="service-name">ProjectEndpoint</span>
</td>
      <td>  <span class="service-description"></span>
</td>
    </tr>
    <tr class="clickable-row" data-href="service_ns0_SessionEndpointService.html">
      <td>  <span class="service-name">SessionEndpoint</span>
</td>
      <td>  <span class="service-description"></span>
</td>
    </tr>
    <tr class="clickable-row" data-href="service_ns0_TaskEndpointService.html">
      <td>  <span class="service-name">TaskEndpoint</span>
</td>
      <td>  <span class="service-description"></span>
</td>
    </tr>
    <tr class="clickable-row" data-href="service_ns0_UserEndpointService.html">
      <td>  <span class="service-name">UserEndpoint</span>
</td>
      <td>  <span class="service-description"></span>
</td>
    </tr>
    </tbody>
    </table>

  <p>The services API is also accessible by a set of client-side libraries that can be downloaded from the <a href="downloads.html">files and libraries page</a>.</p>

  <h1 class="page-header" id="data">Data Types</h1>

  <h3 id="syntax_xml"><span class="syntax-name">XML</span></h3>

  <table class="table table-hover datatypes">
    <caption>Default Namespace  (<a href="ns1.xsd">schema</a>)</caption>
    <thead>
      <tr>
        <th align="center">type</th>
        <th align="center">description</th>
      </tr>
    </thead>
    <tbody data-link="row" class="rowlink">
    <tr class="clickable-row" data-href="xml_ns1_domain.html">
      <td>  <span class="datatype-name">domain</span>
</td>
      <td>  <span class="datatype-description"></span>
</td>
    </tr>
    <tr class="clickable-row" data-href="xml_ns1_role.html">
      <td>  <span class="datatype-name">role</span>
</td>
      <td>  <span class="datatype-description"></span>
</td>
    </tr>
    <tr class="clickable-row" data-href="xml_ns1_abstractEntity.html">
      <td>  <span class="datatype-name">abstractEntity</span>
</td>
      <td>  <span class="datatype-description"></span>
</td>
    </tr>
    <tr class="clickable-row" data-href="xml_ns1_project.html">
      <td>  <span class="datatype-name">project</span>
</td>
      <td>  <span class="datatype-description"></span>
</td>
    </tr>
    <tr class="clickable-row" data-href="xml_ns1_session.html">
      <td>  <span class="datatype-name">session</span>
</td>
      <td>  <span class="datatype-description"></span>
</td>
    </tr>
    <tr class="clickable-row" data-href="xml_ns1_task.html">
      <td>  <span class="datatype-name">task</span>
</td>
      <td>  <span class="datatype-description"></span>
</td>
    </tr>
    <tr class="clickable-row" data-href="xml_ns1_user.html">
      <td>  <span class="datatype-name">user</span>
</td>
      <td>  <span class="datatype-description"></span>
</td>
    </tr>
    </tbody>
  </table>

        <footer class="footer">
          <div class="container">
            <p class="text-muted">Generated by <a href="http://enunciate.webcohesion.com">Enunciate</a>.</p>
          </div>
        </footer>

      </div>
    </div>
  </div>


  <!-- JavaScript placed at the end of the document so the pages load faster. -->
  <script src="https://code.jquery.com/jquery-1.12.2.min.js"></script>

  <!-- Bootstrap core JavaScript
  ================================================== -->
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>

  <!-- prettify code blocks. see http://code.google.com/p/google-code-prettify/ -->
  <script src="https://cdn.jsdelivr.net/gh/google/code-prettify@master/loader/run_prettify.js" type="text/javascript"></script>
  <script>
    $(function() {
      $(".clickable-row").click(function() {
        window.document.location = $(this).data("href");
      });

      $('[data-toggle="tooltip"]').tooltip()
    });
  </script>

</body>
</html>
